summaryrefslogtreecommitdiffstats
path: root/games/wormux
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-05-11 22:23:10 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 22:23:10 +0200
commit264595a011491e7bec132b051b97712fd286bef7 (patch)
tree2f96d277cf78838f35cc880d90be1dbf3733b896 /games/wormux
parent7e516099b9f663c50418bd6c7af23e9cd96324dc (diff)
downloadslackbuilds-264595a011491e7bec132b051b97712fd286bef7.tar.gz
slackbuilds-264595a011491e7bec132b051b97712fd286bef7.tar.xz
games/wormux: Updated for version 0.8.2
Diffstat (limited to 'games/wormux')
-rw-r--r--games/wormux/doinst.sh7
-rw-r--r--games/wormux/slack-desc10
-rw-r--r--games/wormux/wormux.SlackBuild48
-rw-r--r--games/wormux/wormux.info12
-rw-r--r--games/wormux/wormux.pngbin9188 -> 0 bytes
5 files changed, 36 insertions, 41 deletions
diff --git a/games/wormux/doinst.sh b/games/wormux/doinst.sh
index 2cf8c08ed3..65fd352418 100644
--- a/games/wormux/doinst.sh
+++ b/games/wormux/doinst.sh
@@ -1,7 +1,4 @@
-if [ -x usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database ./usr/share/applications >/dev/null 2>&1
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
fi
-if [ -x usr/bin/update-mime-database ]; then
- ./usr/bin/update-mime-database ./usr/share/mime >/dev/null 2>&1
-fi
diff --git a/games/wormux/slack-desc b/games/wormux/slack-desc
index d52c6a44f0..b6954763ff 100644
--- a/games/wormux/slack-desc
+++ b/games/wormux/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
wormux: Wormux (Worms linux/unix clone)
-wormux:
+wormux:
wormux: Have the mascots of your favorite free softwares battle in the Wormux
wormux: arena. Using dynamite, grenades, baseball bat and others bazookas,...
wormux: exterminate your opponent in a 2D toon style scenery and a funny
wormux: environment.
-wormux:
+wormux:
wormux: Homepage: http://www.wormux.org
-wormux:
-wormux:
-wormux:
+wormux:
+wormux:
+wormux:
diff --git a/games/wormux/wormux.SlackBuild b/games/wormux/wormux.SlackBuild
index 926c2f1c3f..51f92f208b 100644
--- a/games/wormux/wormux.SlackBuild
+++ b/games/wormux/wormux.SlackBuild
@@ -2,7 +2,8 @@
# Slackware build script for wormux
-# Copyright 2007 Adnan Hodzic aka AbsintheSyringe (AbsintheSyringe@gmail.com)
+# Copyright 2007 Adnan Hodzic aka AbsintheSyringe <AbsintheSyringe@gmail.com>
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,10 +26,11 @@
# Modified by the SlackBuilds.org project
PRGNAM=wormux
-VERSION=0.7.9
+VERSION=0.8.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -38,14 +40,18 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
-rm -rf $PKG
+set -e
+
+rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+w,go+r-w .
@@ -58,32 +64,24 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--program-prefix="" \
--program-suffix="" \
- || exit 1
-
-make || exit 1
-make install DESTDIR=$PKG || exit 1
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
-install -D -m 0644 $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
-mv $PKG/usr/share/$PRGNAM/$PRGNAM.desktop $PKG/usr/share/applications/
-sed -i 's#Icon=wormux_128x128.png#Icon=/usr/share/pixmaps/wormux.png#' \
- $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
+make
+make install DESTDIR=$PKG
-mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a examples/ ChangeLog INSTALL NEWS README TODO using_wormux.html \
- $PKG/usr/doc/$PRGNAM-$VERSION
-cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
- find . -type f -exec chmod 0644 {} \;
find . -type f -exec gzip -9 {} \;
- for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog INSTALL README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
diff --git a/games/wormux/wormux.info b/games/wormux/wormux.info
index 95b6ae70f0..12d5855447 100644
--- a/games/wormux/wormux.info
+++ b/games/wormux/wormux.info
@@ -1,8 +1,8 @@
PRGNAM="wormux"
-VERSION="0.7.9"
+VERSION="0.8.2"
HOMEPAGE="http://wormux.org/wiki/en/index.php"
-DOWNLOAD="http://download.gna.org/wormux/wormux-0.7.9.tar.gz"
-MD5SUM="d921ae5bad243dec7bb6825d6e0b9d16"
-MAINTAINER="Adnan Hodzic"
-EMAIL="AbsintheSyringe@gmail.com"
-APPROVED="BP{k}"
+DOWNLOAD="http://download.gna.org/wormux/wormux-0.8.2.tar.bz2"
+MD5SUM="cd0f22e6055acebfa5871e86ca229ee8"
+MAINTAINER="ppr:kut"
+EMAIL="pprkut@liwjatan.at"
+APPROVED="Michiel:"
diff --git a/games/wormux/wormux.png b/games/wormux/wormux.png
deleted file mode 100644
index f4d8a011ba..0000000000
--- a/games/wormux/wormux.png
+++ /dev/null
Binary files differ